---
title: Metadata.size
slug: Web/API/Metadata/size
tags:
  - API
  - File System API
  - File and Directory Entries API
  - Files
  - Non-standard
  - Offline
  - Property
  - Reference
  - metadata
  - size
---
<p>{{APIRef("File System API")}}{{Non-standard_header}}</p>

<p><span class="seoSummary">The read-only <strong><code>size</code></strong> property of the {{domxref("Metadata")}} interface specifies the size, in bytes, of the referenced file or other file system object on disk.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>size</em> = <em>Metadata</em>.size;</pre>

<h3 id="Value">Value</h3>

<p>A number indicating the size of the file in bytes.</p>

<h2 id="Example">Example</h2>

<p>This example checks the size of a log file and removes it if it's larger than a megabyte.</p>

<pre class="brush: js">workingDirectory.getFile("log/important.log", {}, function(fileEntry) {
  fileEntry.getMetadata(function(metadata) {
    if (metadata.size &gt; 1048576) {
      fileEntry.remove(function() {
        /* log file removed; do something clever here */
      });
    }
  });
}, handleError);
</pre>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Metadata.size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("Metadata")}}</li>
 <li>{{domxref("FileSystemEntry.getMetadata()")}}</li>
 <li>{{domxref("FileSystemFileEntry")}}</li>
</ul>
